/* Declarations for IMGLIB routines */

int img_readfile (char * filnam, int filtyp, int out_typ, int lhead, 
                  int typ, int order, int irotn, int swap, 
                  int nax1_rasts, int nax2_rasts,
                  int lrec, void (* progress)(), void * img_full, 
                  int * minval, int * maxval, int * ovfl, int * max_ok,
                  int * soft_fail, int * order_used, 
                  int * nax1_rasts_used, int * nax2_rasts_used);
int img_read_data (int read_file, int fd, void * img, int out_typ, int typ, 
                   int order, int swap, int nax1_rasts, int nax2_rasts,
                   int recl, void (* progress)(), void * img_full, 
                   int * minval, int * maxval, int * ovfl, int * max_ok);
int img_getrect (int * img, int itype, int iorder, int nf_off, 
                 int iax1_orig, int iax2_orig, int nax1, int nax2,
                 int nax1_rasts, int nax2_rasts, int ioutlim,
                 int *idata);
int img_ax1line (int * img, int itype, int iorder, int nf_off, 
                 int iax1_orig, int iax2_orig, int nax1,
                 int nax1_rasts, int nax2_rasts, int ioutlim,
                 int *idata);
int img_ax2line (int * img, int itype, int iorder, int nf_off, 
                 int iax1_orig, int iax2_orig, int nax2,
                 int nax1_rasts, int nax2_rasts, int ioutlim,
                 int *idata);
int img_getpix (int * img, int itype, int iorder, int nf_off, 
                int iax1_pix, int iax2_pix,
                int nax1_rasts, int nax2_rasts, int ioutlim,
                int *idata);
int img_bgcalc (int *img, int type, int ns_rasts, int nf_rasts, 
                int nf_off, int ncmp, int npbox, int percent, 
                int null_pixel, int *img_bg, int *nf_bgoff, 
                void (*progress)(), void (*cancel)());
int img_findspots (int *img, int itype, int iorder, int nf_off, 
                   int nax1_rasts, int nax2_rasts,
                   int * img_bg, int nf_bgoff, int nbgcmp, int * idata, 
                   float ax1_cen, float ax2_cen, float rmin, float rmax, 
                   float rax1_cen, float rax2_cen, 
                   float ax1_low, float ax1_high, 
                   float ax2_low, float ax2_high, 
                   float rexclude, float ax1_split, float ax2_split,
                   int null_pixel,
                   float threshfac, int minpix, 
                   void (*progress)(), void (*cancel)(),
                   int * mindx_spot, int * nspot); 

