/* Declarations for PRL routines */

int prl_init (int init_alloc, int inc_alloc);
int prl_addref (int mindx, int icrys, int imgnum, 
                        int h, int k, int l, int ksym,
                        float ax1_coord, float ax2_coord,
                        int nimg, int ifirst, int ir_flag, int inr_flag,
                        int spat, float phi, 
                        float xrl, float yrl, float zrl, float rlorf);
int prl_puthkl (int mindx, int iref, int h, int k, int l, int ksym);
int prl_putref (int mindx, int iref, int icrys, int imgnum, 
                        int h, int k, int l, int ksym,
                        float ax1_coord, float ax2_coord,
                        int nimg, int ifirst, int ir_flag, int inr_flag,
                        int spat, float phi, 
                        float xrl, float yrl, float zrl, float rlorf);
int prl_numrefs (int mindx);
int prl_gethkl (int mindx, int iref, int *icrys, int *imgnum, 
                        int *h, int *k, int *l, int *ksym);
int prl_getref (int mindx, int iref, int *icrys, int *imgnum, 
                        int *h, int *k, int *l, int *ksym,
                        float *ax1_coord, float *ax2_coord, 
                        int * nimg, int * ifirst,
                        int * ir_flag, int *inr_flag, int *spat);
int prl_getphrc (int mindx, int iref, float * phi, float * xrl,
                         float *yrl, float * zrl, float *rlorf);
int prl_getcoords (int mindx, int iref, float * ax1_coord, 
                           float * ax2_coord);
int prl_delimg (int mindx, int icrys, int imgnum);
int prl_clear (int mindx);
int prl_free (int mindx);
int prl_sort (int mindx, int iord);
int prl_ovlp1 (int mindx, int icrys, int imgnum, float spotd,
                       int *nref, int *nspat);
int prl_del (void * rec, void * client_data);
int prl_sorxx1 (void * rec1, void * rec2, int * i1, int * i2);
int prl_sorxx2 (void * rec1, void * rec2, int * i1, int * i2);
int prl_sorxx3 (void * rec1, void * rec2, int * i1, int * i2);
