/* Declarations for UNQ routines */

int unq_reflist_init (int init_alloc, int inc_alloc);
int unq_reflist_addref (int mindx,  int h, int k, int l,  float xrl, 
                        float yrl, float zrl);
int unq_reflist_numrefs (int mindx);
int unq_reflist_clear_counts (int mindx);
int unq_reflist_inc (int mindx, int iref, int ipart, int isign, int ispat);
int unq_reflist_hkl (int mindx, int iref, int *h, int*k, int*l);
int unq_reflist_xyz (int mindx, int iref, float *xr, float *yr, float *zr);
int unq_reflist_get (int mindx, int iref, 
                     int *nfull_p, int *nfull_m, 
                     int *npart2_p, int *npart2_m, 
                     int *npart3_p, int *npart3_m,
                     int *npartn_p, int *npartn_m,
                     int *nunk_p, int *nunk_m, int * nunk_u,
                     int *nsfull_p, int *nsfull_m, 
                     int *nspart2_p, int *nspart2_m, 
                     int *nspart3_p, int *nspart3_m,
                     int *nspartn_p, int *nspartn_m);
int unq_reflist_clear (int mindx);
int unq_reflist_free (int mindx);
int unq_reflist_sorthkl (int mindx);
int unq_reflist_sortlhk (int mindx);
int unq_reflist_sor_hkl (void * rec1, void * rec2, int i1, int i2);
int unq_reflist_sor_lhk (void * rec1, void * rec2, int i1, int i2);
